'this program enables you to control the leds (16-23) on the prop demo board over a
'serial link using two xbees. one is connected to the pc using the usb adapter board.
'the other xbee is connected to the propeller demo board.
'Pin 3 of the xbee (DOUT) is connected to P1 of the demo board.
'Pin 4 of the xbee (DIN) is connected to P0 of the demo board.
'Load this program onto the prpeller demo board, connect the usb xbee to your pc,
'open up PST (Parallax Serial Terminal) and set it to the COM port that the xbee
'is on and set the baud at 9600 and click enable.
'Then power up the demo board, you should see in the PST window "Enter 6-bit binary pattern: "
'Enter a binary pattern like "1001001" and you should see the corresponding LEDS on the
'demo board come on.
'

CON
   
  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000
   

OBJ
   
  Debug : "FullDuplexSerialPlus"
   
   
PUB TerminalLedControl

  ''Set/clear I/O pin output states based binary patterns 
  ''entered into Parallax Serial Terminal.

  Debug.start(1, 0, 0, 9600)
  waitcnt(clkfreq*2 + cnt)
  Debug.tx(Debug#CLS)
  dira[16..23]~~

  repeat

     Debug.Str(String("Enter 8-bit binary pattern: "))
     outa[16..23] := Debug.getBin
     Debug.Str(String("Data Received and Processed"))
     Debug.tx(Debug#CR)
     waitcnt(clkfreq*1 + cnt)